.ws-blogs-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    padding-block: 40px;
}

.ws-blog-card {
    background: var(--white);
    border-radius: 1rem;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1) !important;
}

.ws-blog-card__thumb {
    width: 100%;
    height: 250px;
    object-fit: cover;
    border-top-left-radius: 0.25rem;
    border-top-right-radius: 0.25rem;
}

.ws-blog-card__content {
    padding: 1rem;
    background: var(--white);
    border-radius: 1rem;
    flex-direction: column;
    justify-content: space-between;
    flex: 1;
    1px solid #e7e9ed
}

.ws-blog-card__content h2 {
    font-size: 1.25rem;
    font-weight: 700;
    margin-top: 0.5rem;
    line-clamp: 2;
    transition: color 0.3s ease;
}

.ws-blog-card:hover h2 {
    color: var(--primary);
    text-decoration: underline;
}

.ws-blog-card__excerpt {
    font-size: 0.875rem;
    margin-top: 0.5rem;
    overflow: hidden !important;
    display: -webkit-box !important;
    -webkit-box-orient: vertical !important;
    -webkit-line-clamp: 2 !important;
    color: #5d6778;
}

@media (max-width: 1024px) {
    .ws-blogs-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 768px) {
    .ws-blogs-grid {
        grid-template-columns: repeat(1, 1fr);
    }
}